#include<iostream>
#include<vector>
using namespace std;

std::vector<int> solve(std::vector<int> A) {
    vector<int>ans;

for(int i=0; i<A.size()/2-1; i++) {
      ans.push_back(i);
}
ans.push_back(A.size()-1);
for(int i=A.size()/2-1; i>=0 && i<A.size()-1; i++) {
      ans.push_back(i);
}
return ans;
}
